### Method

# Ide OmniBar add_status_icon

#### Declaration

    void
    ide_omni_bar_add_status_icon (
      IdeOmniBar* self,
      GtkWidget* widget,
      gint priority
    )

#### Description

Adds a status-icon style widget to the end of the omnibar. Generally, you’ll want this to be either a GtkButton, GtkLabel, or something simple.

Available since: | 3.32

#### Parameters

`widget` | `GtkWidget`
| The `GtkWidget` to add.
| The data is owned by the caller of the function.
`priority` | `gint`
| The sort priority for `widget`.